<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
    protected void Page_Load(object sender, EventArgs e)
    {
// Otwarcie pliku i zwrócenie obiektu klasy FileStream
using (System.IO.FileStream stream1 = System.IO.File.Open(MapPath("PlikTekstowy.txt"), System.IO.FileMode.Open)) {}

// Otwarcie pliku i zwrócenie obiektu klasy StreamReader do odczytu danych
using (System.IO.StreamReader stream2 = System.IO.File.OpenText(MapPath("PlikTekstowy.txt"))) {}

// Otwarcie strumienia plikowego w celu odczytania danych
using (System.IO.FileStream stream3 = System.IO.File.OpenRead(MapPath("PlikTekstowy.txt"))) {}

// Otwarcie strumienia plikowego w celu zapisania danych 
using (System.IO.FileStream stream4 = System.IO.File.OpenWrite(MapPath("PlikTekstowy.txt"))) { }

// Odczyt całego pliku i zwrócenie łańcucha znaków
string data = System.IO.File.ReadAllText(MapPath("PlikTekstowy.txt"));

// Wykorzystanie zapytania LINQ do znalezienia określonych wierszy w pliku tekstowym
var lines1 = from line in System.IO.File.ReadLines(MapPath("PlikTekstowy.txt"))
            where line.Contains("laoreet")
            select line;

// Wykorzystanie zapytania LINQ do znalezienia określonych wierszy w pliku tekstowym
var lines2 = from line in System.IO.File.ReadLines(MapPath("PlikTekstowy.txt"))
            where line.Contains("laoreet")
            select line;

// Dołączanie danych tekstowych do nowego pliku tekstowego 
System.IO.File.AppendAllText(MapPath("PlikTekstowy1.txt"), data);

// Dołączanie kolekcji łańcuchów znaków do nowego pliku tekstowego 
System.IO.File.AppendAllLines(MapPath("PlikTekstowy1.txt"), lines1);

// Zapis danych tekstowych do nowego pliku tekstowego 
System.IO.File.WriteAllText(MapPath("PlikTekstowy2.txt"), data);

// Dołączanie kolekcji łańcuchów znaków do nowego pliku tekstowego 
System.IO.File.WriteAllLines(MapPath("PlikTekstowy2.txt"), lines2);

    }
</script>